Draft BezCurve

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Draft BezCurve and the translation is 12% complete.

Outdated translations are marked like this.
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский • ‎svenska • ‎Türkçe
Arrow-left.svg Previous: Draft Facebinder.svg Facebinder

Draft BezCurve.svg Draft BezCurve

Emplacement du menu
Draft → BezCurve
Ateliers
Draft, Arch
Raccourci par défaut
B Z
Introduit dans la version
-
Voir aussi
Aucun


Description

L'outil BezCurve crée une courbe de Bezier (ou une partie de courbe de Bézier) à partir de plusieurs points dans le plan de travail courant. La courbe prend les attributs de ligne et couleur définis dans Linestyle.

The BezCurve tool curve uses control points to define the direction of the curve; on the other hand the Draft BSpline tool specifies the exact points through which the curve will go. To create exact circular or elliptical curves, use Draft Arc and Draft Ellipse.

Draft BezCurve Example.png

Bezier curve defined by multiple control points


Utilisation

  1. Press the Draft BezCurve.png Draft BezCurve button, or press B then Z keys.
  2. Click a first point on the 3D view, or type a coordinate and press the Draft AddPoint.svg add point button.
  3. Click additional points on the 3D view, or type a coordinate and press the Draft AddPoint.svg add point button.
  4. Press Esc or the Close button, or double-click the last point to complete the edition.

L'objet est créé en une simple courbe de Bézier (nombre de points - 1). Il peut être modifié partiellement après sa création en utilisant l'éditeur de propriétés. Les courbes de Bézier peuvent être modifiées à l'aide Draft Edit.png Draft Edit.

The curve can be edited by double clicking on the element in the tree view, or by pressing the Draft Edit.svg Draft Edit button. Then you can move the points to a new position, or click Draft AddPoint.svg add point or Draft DelPoint.svg remove point and then click on the curve to add or remove points. You can also change the constraint type of each point.

Contraidre les noeuds

Les extrémités des segments dans une portion de courbe de Bézier peuvent être contraints les points de contrôle adjacents disponibles sont symétriques ou tangents aux extrémités des segments. Cela se fait après la création de l'objet à l'aide de la fonction Draft Edit.png Draft Edit.

  • Draft BezSharpNode.svg Sharp - efface les contraintes
  • Draft BezTanNode.svg Tangent - force le contrôle du point adjacent à la tangente
  • Draft BezSymNode.svg Symmetric - force le contrôle du point tangent et equi-distant

The segment endpoints can be constrained such that adjacent control points are tangent or symmetric to the segments at the endpoint. First, start editing the curve, then pick one of the tools and then pick a point. Click again on the tool to deactivate it, so you can move the point.

  • Draft BezSharpNode.svg sharp remove constraints on the points so the curve can have sharp corners.
  • Draft BezTanNode.svg tangent force adjacent control points to be tangent.
  • Draft BezSymNode.svg symmetric force adjacent control points to be tangent and equidistant.

Limitations

  • Cet outil n'est pas disponible dans les versions antérieures à FreeCAD 0.14.
  • La propriété Points n'apparaît pas dans la liste des propriétés.
  • OpenCascade ne supporte pas les courbes de Bézier en dessous de > 25 degrés. Ce choix n'est pas un problème dans la pratique.
  1. Cliquez le bouton Draft BezCurve.png Draft BezCurve, ou pressez les touches B et Z.
  2. Cliquez le premier point dans la vue 3D, ou tapez les coordonnées
  3. Cliquez un point additionnel dans la vue 3D, ou tapez les coordonnées
  4. Pressez les touches F ou C, ou double-cliquez le dernier point, ou cliquez sur le premier point pour terminer et fermer la courbe.

Options

  • Pressez la touche F ou le bouton Draft FinishLine.png Finish pour finir la spline, et la laissé ouverte
  • Pressez la touche C ou le bouton Draft CloseLine.png Close ou cliquez sur le premier point pour finir et fermer le spline, Mais il sera ajouté un dernier segment entre le premier et dernier point.
  • Pressez les touches X, Y ou Z après le point pour contraindre le point suivant dans l'axe choisi.
  • Pour entrer les coordonnées manuellement,entrez simplement les nombres puis pressez la touche ENTER entre chaque composant X, Y et Z.
  • Pressez la touche R ou cliquez la case à cocher/décocher Relatif. Si relatif est coché, les coordonnées du prochain point sont relatifs au point précédent. Sinon, il est absolu par rapport au point d'origine (0,0,0).
  • Pressez la touche T ou cliquez la case à cocher/décocher Continue. Si continue est coché, une nouvelle courbe de Bézier redémarre après l'avoir finie ou fermée, sans avoir à réactiver la commande une autre fois.
  • Pressez la touche CTRL en dessinant accroche votre point à l'emplacement d'accrochage le plus proche, indépendamment de la distance.
  • Pressez la touche SHIFT en dessinant contrains votre point horizontalement ou verticalement en relation avec dernier point.
  • Pressez la touche W ou cliquez le bouton Draft Wipe.png Wipe pour effacer le segment existant et continuer la spline à partir du dernier point.
  • Pressez les touches CTRL+Z ou pressez le bouton Draft UndoLine.png Undo pour revenir au point précédent.
  • Pressez la touche ESC ou Cancel pour quitter la commande BezCurve.

Propriétés

Data

  • DATADegree: specifies the degree of the Bezier curve or the individual segments.
  • DATAClosed: specifies if the curve is closed or not. If the curve is initially open, this value is False; setting it to True will draw a segment to close the curve. If the curve is initially closed, this value is True; setting it to False will remove the last segment, and make the curve open.
  • DATAMake Face: specifies if the curve makes a face or not. If it is True a face is created, otherwise only the perimeter is considered part of the object. This property only works if DATAClosed is True.
Note: do not set DATAMake Face to True if the curve intersects itself, as it won't create a proper face.
  • DATAContinuity: (read-only) when the curve is closed, indicates the continuity of the curve [0], or [0,0]. Otherwise it's [].

View

  • VIEWArrow Size: specifies the size of the symbol displayed at the end of the curve.
  • VIEWArrow Type: specifies the type of symbol displayed at the end of the curve, which can be dot, circle, arrow, and tick.
  • VIEWEnd Arrow: specifies whether to show a symbol at the last point of the curve, so it can be used as an annotation line.
  • VIEWPattern: specifies a Draft Pattern with which to fill the face of the closed curve. This property only works if DATAMake Face is True, and if VIEWDisplay Mode is "Flat Lines".
  • VIEWPattern Size: specifies the size of the Draft Pattern.

Script

L'outil BezCurve peut être utilisé dans les macros et dans la console python en utilisant la console avec la fonction suivante:

BezCurve = makeBezCurve(pointslist, closed=False, placement=None, face=None, support=None, Degree=None)
BezCurve = makeBezCurve(Part.Wire, closed=False, placement=None, face=None, support=None, Degree=None)
  • Crée une courbe de Bézier suivant la liste de vecteurs. Au lieu d'une liste de points, vous pouvez également passer un Part Wire.

Example:

import FreeCAD, Draft

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(1000, 1000, 0)
p3 = FreeCAD.Vector(2000, 0, 0)
p4 = FreeCAD.Vector(1500, -2000, 0)

BezCurve1 = Draft.makeBezCurve([p1, p2, p3, p4], closed=True)
BezCurve2 = Draft.makeBezCurve([p4, 1.3*p2, p1, 4.1*p3], closed=True)
BezCurve3 = Draft.makeBezCurve([1.7*p3, 1.5*p4, 2.1*p2, p1], closed=True)
Arrow-left.svg Previous: Draft Facebinder.svg Facebinder